com.tibco.tibjms.admin

## Class ChannelInfo

- java.lang.Object
- - com.tibco.tibjms.admin.ChannelInfo

- Deprecated.
  As of release 8.3

      @Deprecated
      public class ChannelInfo
      extends java.lang.Object

  An object of this class represents the configuration and optionally statistical data about the multicast channel. When this object is received via the method `TibjmsAdmin.getChannel(java.lang.String)`, it does not contain statistical information about the channel. Only objects returned by the method `TibjmsAdmin.getChannelStatistics(java.lang.String)` return ChannelInfo objects that include all statistical data.
  Since:
    EMS 5.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChannelInfo` | `from(javax.management.openmbean.CompositeData cd)` Deprecated. As of release 8.3
    `java.lang.String` | `getAddress()` Deprecated. As of release 8.3
    `long` | `getBacklogCount()` Deprecated. As of release 8.3
    `long` | `getBacklogSize()` Deprecated. As of release 8.3
    `long` | `getBufferedBytes()` Deprecated. As of release 8.3
    `DetailedDestStat[]` | `getDetailedStatistics()` Deprecated. As of release 8.3
    `java.lang.String` | `getInterface()` Deprecated. As of release 8.3
    `long` | `getMaxRate()` Deprecated. As of release 8.3
    `long` | `getMaxTime()` Deprecated. As of release 8.3
    `java.lang.String` | `getName()` Deprecated. As of release 8.3
    `int` | `getPriority()` Deprecated. As of release 8.3
    `long` | `getRetransmittedBytes()` Deprecated. As of release 8.3
    `StatData` | `getStatistics()` Deprecated. As of release 8.3
    `long` | `getTransmittedBytes()` Deprecated. As of release 8.3
    `int` | `getTtl()` Deprecated. As of release 8.3
    `boolean` | `isActive()` Deprecated. As of release 8.3
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          @Deprecated
          public java.lang.String getName()

      Deprecated. As of release 8.3
      Get the channel's name.
      Returns:
        the channel's name.

    - #### getAddress

          @Deprecated
          public java.lang.String getAddress()

      Deprecated. As of release 8.3
      Get the channel's multicast address.
      Returns:
        the channel's multicast address.

    - #### getInterface

          @Deprecated
          public java.lang.String getInterface()

      Deprecated. As of release 8.3
      Get the channel's multicast interface.
      Returns:
        the channel's multicast interface.

    - #### getTtl

          @Deprecated
          public int getTtl()

      Deprecated. As of release 8.3
      Get the channel's multicast time-to-live.
      Returns:
        the channel's multicast time-to-live.

    - #### getPriority

          @Deprecated
          public int getPriority()

      Deprecated. As of release 8.3
      Get the channel's multicast priority.
      Returns:
        the channel's multicast priorty.

    - #### getMaxRate

          @Deprecated
          public long getMaxRate()

      Deprecated. As of release 8.3
      Get the channel's maximum transmission rate.
      Returns:
        the channel's maximum transmission rate in bytes per second.

    - #### getMaxTime

          @Deprecated
          public long getMaxTime()

      Deprecated. As of release 8.3
      Get the channel's maximum window size for retransmissions.
      Returns:
        the channel's maximum window size for retransmissions in seconds.

    - #### isActive

          @Deprecated
          public boolean isActive()

      Deprecated. As of release 8.3
      Indicates whether or not the channel is active.
      Returns:
        true if this channel is active and false if this channel is defined in the server configuration but is not active.

    - #### getBacklogCount

          @Deprecated
          public long getBacklogCount()

      Deprecated. As of release 8.3
      Get the channel's message backlog count. This is the number of messages buffered in the server waiting to be sent on the channel.
      Returns:
        the channel's message backlog count.

    - #### getBacklogSize

          @Deprecated
          public long getBacklogSize()

      Deprecated. As of release 8.3
      Get the channel's message backlog size. This is the number of bytes buffered in the server waiting to be sent on the channel.
      Returns:
        the channel's message backlog size.

    - #### getTransmittedBytes

          @Deprecated
          public long getTransmittedBytes()

      Deprecated. As of release 8.3
      Get the number of bytes sent by this channel. This number does not include any retransmissions.
      Returns:
        the number of bytes sent by this channel.

    - #### getRetransmittedBytes

          @Deprecated
          public long getRetransmittedBytes()

      Deprecated. As of release 8.3
      Get the number of bytes sent in retransmissions by this channel.
      Returns:
        the number of bytes sent in retransmissions by this channel.

    - #### getBufferedBytes

          @Deprecated
          public long getBufferedBytes()

      Deprecated. As of release 8.3
      Get the number of bytes buffered for retransmission by this channel.
      Returns:
        the number of bytes buffered for retransmission by this channel.

    - #### getStatistics

          @Deprecated
          public StatData getStatistics()

      Deprecated. As of release 8.3
      Returns cumulative statistics for all destinations on the channel.
      Returns:
        cumulative statistics for all destinations on the channel, or `null` if the channel information does not include statistics or statistics are disabled on the server.
      See Also:
        `TibjmsAdmin.getChannelStatistics(java.lang.String)`

    - #### getDetailedStatistics

          @Deprecated
          public DetailedDestStat[] getDetailedStatistics()

      Deprecated. As of release 8.3
      Returns detailed statistics for all destinations being sent on the channel.
      Returns:
        detailed statistics for all destinations being sent on the channel, or `null` if the channel information does not include statistics or statistics are disabled on the server.
      See Also:
        `TibjmsAdmin.getChannelStatistics(java.lang.String)`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          @Deprecated
          public static ChannelInfo from(javax.management.openmbean.CompositeData cd)
                                               throws java.lang.Exception

      Deprecated. As of release 8.3
      For Internal use only, may be removed or deprecated in future.
      Returns:
        a ChannelInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved